import { Mindmap } from '..';
import PersistenceManager from './PersistenceManager';
declare class LocalStorageManager extends PersistenceManager {
    private documentUrl;
    private forceLoad;
    constructor(documentUrl: string, forceLoad: boolean);
    saveMapXml(mapId: string, mapXml: string): void;
    discardChanges(mapId: string): void;
    loadMapDom(mapId: string): XMLDocument;
    unlockMap(mindmap: Mindmap): void;
}
export default LocalStorageManager;
